#
# spec file for package python-cilium-microscope
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname cilium-microscope
Name:           python-cilium-microscope
Version:        1.1.2
Release:        bp155.2.10
Summary:        Program to gather monitor data from CCilium nodes in a cluster
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/cilium/microscope
Source:         https://github.com/cilium/microscope/archive/%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-cachetools
Requires:       python-chardet
Requires:       python-google-auth
Requires:       python-idna
Requires:       python-kubernetes
Requires:       python-pyasn1
Requires:       python-pyasn1-modules
Requires:       python-python-dateutil
Requires:       python-requests
Requires:       python-rsa
Requires:       python-urwid
Requires:       python-websocket-client
Provides:       %{modname} = %{version}
Obsoletes:      %{modname} < 1.1.1
BuildArch:      noarch
%python_subpackages

%description
Cilium microscope allows you to see cilium monitor output from all
your cilium nodes. This allows you to have one simple to use command
to interact with your cilium nodes within k8s cluster.

%prep
%setup -q -n microscope-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/*
%python3_only %{_bindir}/microscope
%license LICENSE

%changelog
* Mon Jan 27 2020 Matej Cepl <mcepl@suse.com>
- Update to 1.1.2:
  - Add option to resolve endpoint IDs to podnames
  - Add JSON parser and make it default
  - Add JSON trace parsing with labels
  - Add trace json parsing
  - Remove l7 processor output
  - Add raw mode
  - Add drop event json parser
  - Add debug events json parsing
  - Add capture json parser
  - Add agent json parser
  - Get rid of nested endpoint data
  - Rename hex to hex_mode to avoid shadowing builtin
  - Append ip or ip:port for all traces and drops
  - Get src and dest from json instead of summary
  - Rebase fixes for EndpointResolver
  - Ep and id resolution moved to EndpointResolver
  - Refactor get_eps_reps, fixes in parser/resolver
  - Filter monitor events by ips
  - Move endpoint id retrieval to resolver
  - Add init identity to resolver
  - docs: change image pull policy to IfNotPresent
  - docs: add microscope image repository
  - Fix reqs to make kubernetes client work in py3.7
  - statusless endpoints handled
- Convert SPEC file to singlespec Python style.
- Rename package to python-cilium-microscope
* Sun Jul 29 2018 jengelh@inai.de
- Use noun phrasing in summary.
* Thu Jun 21 2018 ndas@suse.de
- Update to 1.0.1
  https://github.com/cilium/microscope/releases
* Wed Feb 28 2018 mrostecki@suse.com
- Initial release
